import java.util.*;

public class Main
{
	static TreeMap<Long, Integer> mp = new TreeMap<>();
	static int query(int s, int e){
		long hash = (((long)s) << 30) + e;
		if(mp.containsKey(hash)) return mp.get(hash);
		int ret = 0;
		for(int i=1; i<40; i++){
			long st = ((long)1 << i) - 1;
			long ed = ((long)2 << i) - 2;
			st = Math.max(st, (long)s);
			ed = Math.min(ed, (long)e);
			if(st <= ed){
				st -= ((long)1 << i) - 1;
				ed -= ((long)1 << i) - 1;
				ret = Math.max(ret, query((int)st, (int)ed) + i); 
			}
		}
		mp.put(hash, ret);
		return ret;
	}

	public static void main (String[] args)
	{
		Scanner sc = new Scanner(System.in);
		int M = sc.nextInt();	
		while(M-- > 0){
			int b = sc.nextInt();
			int c = sc.nextInt();
			System.out.println(query(b, c));
		}
	}	
}